project "Editor"
kind "ConsoleApp"

buildmessage "Building editor ..."

links{
  "YoggieEngine",
  "ImGuizmo"
}

includedirs{
  "./../BarinkEngine/Include",

  -- I'd prefer if didn't need these..
  -- We'll figure that out some time later
  incfolder["lua"],
  incfolder["spdlog"],
  incfolder["glm"],
  incfolder["assimp"],
  incfolder["glad"],
  incfolder["glfw"],

  incfolder["imgui"],
  incfolder["imguizmo"],
  incfolder["entt"],

  "./include"

}

libdirs {
  staticlib["yoggie"]
}

files { 
  "./src/*.h",
  "./src/*.cpp"
}

